SECTIONS
{
    .boot_parameters : {
        PROVIDE(__boot_params_start = .);
        KEEP(*(.boot_parameters))
    } > ram AT> rom
}

ASSERT(__boot_params_start == 0x20000000, "Boot parameters must be at beginning of internal RAM")

INSERT BEFORE .data;
